class UserBuilder < Builder
  ##
  # Receive a list of ids and return a list of collections
  # Each element, must be a Hash with rid and last_modified
  #
  # Example:
  #   collection = CollectionBuilder.build [{'rid' => '#14:15', 'last_modified' => '2015-02-10 15:30'}]
  #
  # If the last_modified param is null, the object will be always reconstructed and updated in the cache
  # def self.build(collections = [])
  #   super(collection_repository, collections, true, 'rid')
  # end

  def self.build_from_orientdb(args = {})
    user = user_repository.find args['p_id']
  end
end
