class ActiveRecord::RoleRepository

  def save(role)
    role.save
  end

  def save!(role)
    role.save!
  end

  def method_missing(method_name, *arguments, &block)
    Role.send(method_name, *arguments, &block)
  end

  def respond_to?(method_name, include_private = false)
    Role.respond_to?(method_name) || super
  end

end
