module OrientDb
  class AttributeRepository < Base
    include OrientDb::Methods::EdgeMethods

    def find_by_key_and_value(key, value)
      # Escape double quotes for OrientDB
      v = value.gsub('"', '\\"')
      result = connection.query("SELECT EXPAND(rid) FROM INDEX:attr_unique WHERE key = [\"#{key}\", \"#{v}\"]")
      build_object(result.first)
    end

    def find_all_by_learning_object(learning_object)
      build_objects get_edges_end("HasAttr", "out", learning_object.id)
    end

  end
end
